Subject: Re: bug#59345: 28.2; peg.el: syntax-class PEX does not advance point

From: Helmut Eller <[email-masked]>
Date: Mon, 28 Nov 2022 09:32:16 +0100

On Fri, Nov 18 2022, Michael Heerdegen wrote:

> Sean Devlin <[email-masked]> writes:
>
>> In version 1.0 of peg.el, there is a PEX to match the syntax class of
>> the character at point. I expected it to advance the point after
>> recognizing the correct class, but it seems that it does not.
>
> Yes, I too think this is a bug.

Yes, looks like an oversight.

> I CC Helmut Eller, the author of peg.el.

I may be the original author (long ago), but the current maintainer is
Sefan Monnier.

Helmut